#ifndef IZ_APP_H
#define IZ_APP_H

#include <SDL.h>
#include "input/IZ_input.h"
#include "output/IZ_video.h"
#include "memory/IZ_pool.h"
#include "input/IZ_action.h"

typedef struct {
	IZ_InputState input_state[PLAYERS];
	IZ_VideoState video_state;

	IZ_Pool memory_pool;
} IZ_App;

IZ_ProcedureResult IZ_InitializeApp(IZ_App*);

void IZ_TeardownApp(IZ_App*);

#endif
