#ifndef IZ_INPUT_H
#define IZ_INPUT_H

#include "IZ_action.h"
#include "IZ_keyboard.h"
#include "IZ_joystick.h"

typedef struct {
	IZ_Action action;
	IZ_KeyboardState keyboard_state;
	IZ_JoystickState joystick_state;
} IZ_InputState;

void IZ_HandleInputEvents(SDL_Event, IZ_InputState*);

void IZ_InitializeInput(const char*, IZ_InputState*, uint8_t);

#endif
